# Менеджер плагинов zgenom
if [ ! -e "$ZGEN_DIR/zgenom.zsh" ]; then
	git clone https://github.com/jandamm/zgenom "$ZGEN_DIR"
fi

source "$ZGEN_DIR/zgenom.zsh"

#
# Ohmyzsh
#
zgenom ohmyzsh

# Плагины
zgenom load willghatch/zsh-saneopt
zgenom load mafredri/zsh-async
zgenom load djui/alias-tips

zgenom load rupa/z
if [[ "$DISPLAY" != '' ]] && command -v xdotool > /dev/null 2>&1 &&  command -v wmctrl > /dev/null 2>&1; then
	zgenom load marzocchi/zsh-notify
	zstyle ':notify:*' expire-time 5000
	zstyle ':notify:*' command-complete-timeout 20
	zstyle ':notify:*' enable-on-ssh yes
fi
if command -v peco > /dev/null 2>&1; then
	zgenom load jimeh/zsh-peco-history
fi

zgenom ohmyzsh plugins/autojump
zgenom ohmyzsh plugins/command-not-found
zgenom ohmyzsh plugins/common-aliases
zgenom ohmyzsh plugins/debian
zgenom ohmyzsh plugins/isodate
zgenom ohmyzsh plugins/rsync
zgenom ohmyzsh plugins/systemadmin
if command -v fzf > /dev/null 2>&1; then
	export DISABLE_FZF_KEY_BINDINGS=true
	zgenom ohmyzsh plugins/fzf
	# fzf
	[ -e /usr/share/doc/fzf/examples/key-bindings.zsh ] && source /usr/share/doc/fzf/examples/key-bindings.zsh
	[ -e /usr/share/doc/fzf/examples/completion.zsh ]   && source /usr/share/doc/fzf/examples/completion.zsh
fi
if command -v git > /dev/null 2>&1; then
	GIT_AUTO_FETCH_INTERVAL=3600
	zgenom ohmyzsh plugins/git
	zgenom ohmyzsh plugins/git-auto-fetch
	zgenom ohmyzsh plugins/git-extras
	zgenom ohmyzsh plugins/github
	zgenom load paulirish/git-open
fi
if command -v psql > /dev/null 2>&1; then
	zgenom ohmyzsh plugins/postgres
fi
if command -v sudo > /dev/null 2>&1; then
	zgenom ohmyzsh plugins/sudo
fi
if command -v systemctl > /dev/null 2>&1; then
	zgenom ohmyzsh plugins/systemd
fi
if command -v vim > /dev/null 2>&1; then
	zgenom ohmyzsh plugins/vim-interaction
fi
zgenom ohmyzsh plugins/web-search

zgenom ohmyzsh plugins/tmux
zstyle ':prezto:module:tmux:auto-start' local 'no'
zstyle ':prezto:module:tmux:auto-start' remote 'yes'
zstyle ':prezto:module:tmux:session' name "$(hostname)"
zgenom load laggardkernel/zsh-tmux

